---
updatedAt: 2026-05-20T06:31:52.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Post Bond Extra

Creates an unsigned transaction that will create an extra bond request for additional funds to be staked.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "version": "1.0.0",
    "title": "Staking API",
    "description": "The Blockdaemon Staking API simplifies and streamlines institutional cryptocurrency staking. The API allows developers to interact with blockchain networks and perform various staking-related operations, such as delegating and undelegating tokens, in a single, unified interface.\n\nWith the Staking API, you can quickly and easily build and deploy applications that automate staking activities and increase efficiency in your blockchain operations.",
    "contact": {
      "name": "Blockdaemon",
      "email": "info@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://assets-global.website-files.com/633c5e06513fa35f3391a5f9/645d33beb6fa65f6cfb95eb8_BD%20Logo%20Stack%20-%20Purple.svg",
      "backgroundColor": "#fafafa",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "explorer-enabled": false
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/boss"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "description": "When signing up for a staking account, you are provided with an API key.\n\nTo authenticate a Staking API request, pass your API key in the `X-API-Key` header.",
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    },
    "parameters": {
      "PolkadotNetwork": {
        "name": "network",
        "in": "path",
        "description": "Polkadot network",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/PolkadotNetwork"
        }
      }
    },
    "responses": {
      "InternalServerError": {
        "description": "Internal server error.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "InvalidRequest": {
        "description": "Invalid request.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "description": "Error response envelope",
              "required": [
                "code",
                "message"
              ],
              "properties": {
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Error code",
                  "example": 400
                },
                "message": {
                  "type": "string",
                  "description": "Error Message",
                  "example": "Detailed human-readable diagnostic message regarding any invalid request parameters"
                }
              }
            }
          }
        }
      },
      "NoValidatorsError": {
        "description": "Insufficient validators available to process Stake Intent request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Header 'X-API-Key' missing.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/UnauthorizedError"
            }
          }
        }
      }
    },
    "schemas": {
      "Dot": {
        "type": "string",
        "description": "Denomination of the cryptocurrency Polkadot.",
        "pattern": "^[1-9]\\d+$",
        "example": "100"
      },
      "Error": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 500
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A descriptive error message"
          }
        }
      },
      "PolkadotAddress": {
        "type": "string",
        "description": "Polkadot account address in [SS58 format](https://wiki.polkadot.network/docs/learn-account-advanced#address-format).",
        "format": "base58",
        "pattern": "^[1-9A-HJ-NP-Za-km-z]{44}$",
        "example": "5xot9PVkphiX2adznghwrAuxGs2zeWisNSxMW6hU6Hkj"
      },
      "PolkadotNetwork": {
        "type": "string",
        "description": "Coin network",
        "enum": [
          "mainnet",
          "kusama",
          "westend"
        ]
      },
      "UnauthorizedError": {
        "type": "object",
        "description": "Error response envelope",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "integer",
            "format": "int32",
            "description": "Error code",
            "example": 401
          },
          "message": {
            "type": "string",
            "description": "Error Message",
            "example": "A human-readable diagnostic message detailing any authorization failure"
          }
        }
      },
      "UnsignedTransactionPolkadotStakeIntent": {
        "type": "string",
        "format": "base64",
        "description": "Generated Polkadot unsigned transaction for the provided stake intent details.",
        "example": "0xa4041601008c16e19e94328985d65cb7e3245213892730dd0e841f6511478cb12f23a178330100000000"
      },
      "PolkadotProtocol": {
        "type": "string",
        "description": "Polkadot protocol",
        "enum": [
          "polkadot"
        ]
      },
      "NewBondExtraPolkadot": {
        "type": "object",
        "description": "Request object to create a new Bond Extra Intent for Polkadot.",
        "properties": {
          "customer_address": {
            "$ref": "#/components/schemas/PolkadotAddress",
            "description": "Address of the account whose DOT will be bonded for staking.",
            "example": "5DK8ShqtyuVk2w4qrF9HwaBJoiZV1byQs5ARZ3df2Pt8V6Vj"
          },
          "amount": {
            "$ref": "#/components/schemas/Dot"
          }
        }
      },
      "PolkadotBondExtraResponse": {
        "allOf": [
          {
            "type": "object",
            "required": [
              "protocol",
              "network"
            ],
            "properties": {
              "protocol": {
                "$ref": "#/components/schemas/PolkadotProtocol"
              },
              "network": {
                "$ref": "#/components/schemas/PolkadotNetwork"
              },
              "polkadot": {
                "$ref": "#/components/schemas/BondExtraPolkadot"
              }
            }
          }
        ]
      },
      "BondExtraPolkadot": {
        "type": "object",
        "description": "Polkadot Stake Intent Response",
        "required": [
          "unsigned_transaction",
          "amount"
        ],
        "properties": {
          "unsigned_transaction": {
            "$ref": "#/components/schemas/UnsignedTransactionPolkadotStakeIntent",
            "description": "Unsigned transaction that allows you to bond extra to a your already nominated pools that have been previously nominated by the Blockdaemon proxy."
          },
          "customer_address": {
            "$ref": "#/components/schemas/PolkadotAddress",
            "description": "Address of the customer account which keeps tokens for bonding"
          },
          "amount": {
            "$ref": "#/components/schemas/Dot"
          }
        }
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/v1/polkadot/{network}/bond-extra": {
      "parameters": [
        {
          "$ref": "#/components/parameters/PolkadotNetwork"
        }
      ],
      "post": {
        "summary": "Post Bond Extra",
        "operationId": "postPolkadotBondExtra",
        "tags": [
          "Polkadot"
        ],
        "description": "Creates an unsigned transaction that will create an extra bond request for additional funds to be staked.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/NewBondExtraPolkadot"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PolkadotBondExtraResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/InvalidRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          },
          "503": {
            "$ref": "#/components/responses/NoValidatorsError"
          }
        },
        "security": [
          {
            "ApiKeyAuth": []
          }
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Polkadot",
      "description": "Polkadot endpoints"
    }
  ]
}
```